Ticket #43759

Metamessage resetted on ruleset load

Open Date: 2022-02-01 21:44 Last Update: 2022-03-25 00:45

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
4

Details

As metamessage was turned to a server setting in freeciv-3.0, it now gets resetted to default (empty value) when a new ruleset is loaded. That's even when it has been set with the (supposedly backward compatible) dedicated 'metamessage' command, and not via 'set' command interface.

Ticket History (3/13 Histories)

2022-02-01 21:44 Updated by: cazfi
  • New Ticket "Metamessage reseted on ruleset load" created
2022-02-01 21:48 Updated by: cazfi
Comment

Arguably resetting *any* server operation related settings just when the rules should change is a bug.

2022-02-01 21:48 Updated by: cazfi
  • Summary Updated
2022-02-01 22:51 Updated by: cazfi
Comment

Attached is a S3_0 patch that I've applied to cazfi.net server as a quick fix. It might be a sensible starting point.

2022-02-03 23:51 Updated by: cazfi
2022-03-13 06:03 Updated by: cazfi
  • Owner Update from (None) to cazfi
  • Resolution Update from None to Accepted
Comment

Attached is the earlier patch with minimal adjustments. I have a feeling that the change is a bit big for resolving a simple problem, but no better solution has been suggested and I consider this one of the most important issues to fix in 3.0.1.

2022-03-13 23:09 Updated by: cazfi
  • Resolution Update from Accepted to None
Comment

Patch going to master should follow new CodingStyle compound literals recommendation.

2022-03-14 08:23 Updated by: cazfi
  • Resolution Update from None to Accepted
Comment

- New master version with compound literals used

2022-03-25 00:45 Updated by: cazfi
  • Status Update from Open to Closed
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login